<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.18"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>XHXKit: 类成员 - 函数</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">XHXKit
   &#160;<span id="projectnumber">4.10.0.12</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- 制作者 Doxygen 1.8.18 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'搜索');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','搜索');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('functions_func_d.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
&#160;

<h3><a id="index_d"></a>- d -</h3><ul>
<li>darkCakeView
: <a class="el" href="interface_x_h_x_cake_view.html#a61403e21a87b2d737a60a4f32ab33fec">XHXCakeView</a>
</li>
<li>dateFormatForMMSS
: <a class="el" href="category_n_s_date_07_date_format_08.html#a1f4f388bde90b61e38f2995f81ad7b73">NSDate(DateFormat)</a>
</li>
<li>dateFormatFormmss
: <a class="el" href="category_n_s_date_07_date_format_08.html#a087e0b6b094cd2ce14f0800d38b1d39e">NSDate(DateFormat)</a>
</li>
<li>dateFormatForyyyyMMDD
: <a class="el" href="category_n_s_date_07_date_format_08.html#ae18a74b8d338c997ce5a82aa301c4f50">NSDate(DateFormat)</a>
</li>
<li>dateFromString:withFMT:
: <a class="el" href="category_n_s_date_07_date_format_08.html#a4f5e51eeec33740ed6f4323fa8c895c1">NSDate(DateFormat)</a>
</li>
<li>dateStrWithDateFormat:
: <a class="el" href="category_n_s_date_07_date_format_08.html#af8c8d61682f7b674c72ba040f2a23039">NSDate(DateFormat)</a>
</li>
<li>dateWithTimetag:
: <a class="el" href="category_n_s_date_07_date_format_08.html#a73281fcfeddf92bde48a54484e68e281">NSDate(DateFormat)</a>
</li>
<li>defaultManager
: <a class="el" href="interface_x_h_x_text_keyboard_manager.html#aabbe90d0540d26343ca02eed90abb2fd">XHXTextKeyboardManager</a>
</li>
<li>deleteDraggingItem
: <a class="el" href="interface_b_m_drag_cell_collection_view.html#a2bb07034e462b25ec32afe2f66e33cdf">BMDragCellCollectionView</a>
</li>
<li>dismiss
: <a class="el" href="interface_x_h_x_picker_view.html#a1df524147bb73dcb7d843806675dc6b2">XHXPickerView</a>
</li>
<li>dismissToRootViewControllerAnimated:completion:
: <a class="el" href="interface_x_h_x_navigator.html#a3bdfac0cbaf82158cdf0e72d2733ef66">XHXNavigator</a>
</li>
<li>dismissViewControllerTimes:animated:completion:
: <a class="el" href="interface_x_h_x_navigator.html#a0370aed6b8dc439e93bdebc967b696ec">XHXNavigator</a>
</li>
<li>documentDirectory
: <a class="el" href="interface_x_h_x_device_manager.html#a6c80a82e571c1dc6730b6bd61747d337">XHXDeviceManager</a>
</li>
<li>doubleObjectForKey:
: <a class="el" href="category_n_s_dictionary_07_params_08.html#a78a3667deb832dbad83470bda68efab8">NSDictionary(Params)</a>
</li>
<li>dragCellCollectionView:beganDragAtPoint:indexPath:
: <a class="el" href="protocol_b_m_drag_cell_collection_view_delegate-p.html#a4a5fad8a5de13e783afe2e6418ccb76a">&lt;BMDragCellCollectionViewDelegate&gt;</a>
</li>
<li>dragCellCollectionView:changedDragAtPoint:indexPath:
: <a class="el" href="protocol_b_m_drag_cell_collection_view_delegate-p.html#aca75a2cdad684df5dc2ed0991ef275a1">&lt;BMDragCellCollectionViewDelegate&gt;</a>
</li>
<li>dragCellCollectionView:endedDragAtPoint:indexPath:
: <a class="el" href="protocol_b_m_drag_cell_collection_view_delegate-p.html#a5add2eca826f05f64856ec7b7d49522d">&lt;BMDragCellCollectionViewDelegate&gt;</a>
</li>
<li>dragCellCollectionView:endedDragAutomaticOperationAtPoint:section:indexPath:
: <a class="el" href="protocol_b_m_drag_cell_collection_view_delegate-p.html#a175791f74ad07e0d2147cd4ef1adbb02">&lt;BMDragCellCollectionViewDelegate&gt;</a>
</li>
<li>dragCellCollectionView:willDeleteCellAtIndexPath:
: <a class="el" href="protocol_b_m_drag_cell_collection_view_delegate-p.html#aa7a3c2d0e80b95549e3298817f6915fd">&lt;BMDragCellCollectionViewDelegate&gt;</a>
</li>
<li>dragCellCollectionView:willMoveCellFormIndexPath:toIndexPath:
: <a class="el" href="protocol_b_m_drag_cell_collection_view_delegate-p.html#a275dc987fda1fd9daa2b41612575d85c">&lt;BMDragCellCollectionViewDelegate&gt;</a>
</li>
<li>dragCellCollectionViewDidEndDrag:
: <a class="el" href="protocol_b_m_drag_cell_collection_view_delegate-p.html#aa1695e04ca12377062a397acd95fec1b">&lt;BMDragCellCollectionViewDelegate&gt;</a>
</li>
<li>dragCellCollectionViewShouldBeginExchange:sourceIndexPath:toIndexPath:
: <a class="el" href="protocol_b_m_drag_cell_collection_view_delegate-p.html#aab714e7200848ed9adc858f31929fe72">&lt;BMDragCellCollectionViewDelegate&gt;</a>
</li>
<li>dragCellCollectionViewShouldBeginMove:indexPath:
: <a class="el" href="protocol_b_m_drag_cell_collection_view_delegate-p.html#ae709bb53811434faa30df49142869d10">&lt;BMDragCellCollectionViewDelegate&gt;</a>
</li>
<li>dragMoveItemToIndexPath:
: <a class="el" href="interface_b_m_drag_cell_collection_view.html#abdbaa2415bb3dc04edb8df77df56f7c5">BMDragCellCollectionView</a>
</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">制作者
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.18 </li>
  </ul>
</div>
</body>
</html>
